%define	major	2
%define	libname	%mklibname %{name} %{major}
%define	devname	%mklibname %{name} -d

Summary:	TellStick controlling library
Name:		telldus-core
Version:	2.1.2
Release:	%mkrel 7
License:	LGPLv2.1+
Group:		System/Boot and Init
URL:		http://developer.telldus.se
Source0:	http://download.telldus.se/TellStick/Software/telldus-core/%{name}-%{version}.tar.gz
#Source0:	http://download.telldus.se/debian/pool/unstable/telldus-core_%%{version}.orig.tar.gz
Source1:	telldus-core-2.1.2-manpages.tar.gz
Source2:	telldusd.service
Patch0:		telldus-core-2.1.1-run-under-dedicated-user.diff
Patch1:		telldus-core-2.1.2_rc1-linkage_fix.diff
Patch2:		telldus-core-2.1.2-socket_dir.diff
Patch3:		0001-Only-create-the-socket-once.-If-we-fail-to-connect-i.patch
Patch4:		telldus-core-2.1.2-libftdi1.diff
# http://developer.telldus.com/changeset/0b6bc134666ab9db80d2320fe9775f7e3cd0f2ba
Patch5:		telldus-core-2.1.2-gcc7.patch
BuildRequires:	pkgconfig(libftdi1)
BuildRequires:	pkgconfig(libconfuse)
BuildRequires:	cmake
# making man pages is broken
BuildConflicts:	doxygen
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1
Requires(pre): rpm-helper >= 0.24.8-1
BuildRequires:	systemd-units

%description
Telldus Core is the driver and tools for controlling a Telldus Technologies
TellStick. It does not containing any GUI tools which makes it suitable for
server use.
This package contains the tools.

%package -n	%{libname}
Summary:	Library for telldus-core
Group:		System/Libraries

%description -n	%{libname}
Telldus Core is the driver and tools for controlling a Telldus Technologies
TellStick. It does not containing any GUI tools which makes it suitable for
server use.
This package contains the library.

%package -n	%{devname}
Summary:	Development files for developing programs against telldus-core
Group:		Development/C
Requires:	%{libname} >= %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{devname}
Telldus Core is the driver and tools for controlling a Telldus Technologies
TellStick. It does not containing any GUI tools which makes it suitable for
server use.
This package contains development files for creating applications using
Telldus Core.

%prep

%setup -q -a1
%patch0 -p1
%patch1 -p0
%patch2 -p1
%patch3 -p2
%patch4 -p1
%patch5 -p1 -b .gcc7

perl -pi -e "s|/etc/udev/rules.d|%{_udevrulesdir}|g" tdadmin/CMakeLists.txt
perl -pi -e "s|%{_localstatedir}/state|%{_localstatedir}/lib/telldusd|g" service/CMakeLists.txt

%build
%cmake \
    -DSCRIPT_PATH="%{_datadir}/telldus/scripts"

%__make -C build

%install
%cmake_install

install -d %{buildroot}%{_unitdir}
install -m0644 %{SOURCE2} %{buildroot}%{_unitdir}/telldusd.service

install -d %{buildroot}%{_datadir}/telldus/scripts
for i in controllerevent devicechangeevent deviceevent rawdeviceevent sensorevent; do
cat > %{buildroot}%{_datadir}/telldus/scripts/$i << EOF
#!/bin/sh
# add something interesting to do for the $i trigger here
EOF
done

install -d %{buildroot}%{_localstatedir}/lib/telldusd

install -d %{buildroot}%{_mandir}/man1
install man/*.1 %{buildroot}%{_mandir}/man1/

%pre
%_pre_useradd telldusd %{_localstatedir}/lib/telldusd /bin/bash

%post
%_post_service telldusd

%preun
%_preun_service telldusd

%files
%doc AUTHORS README
%attr(0640,telldusd,telldusd) %config(noreplace) %{_sysconfdir}/tellstick.conf
%{_udevrulesdir}/05-tellstick.rules
%{_unitdir}/telldusd.service
%{_bindir}/tdtool
%{_sbindir}/tdadmin
%{_sbindir}/telldusd
%dir %{_datadir}/%{name}/
%dir %{_datadir}/%{name}/helpers/
%{_datadir}/%{name}/helpers/udev.sh
%dir %{_datadir}/telldus/scripts
%attr(0755,root,root) %config(noreplace) %{_datadir}/telldus/scripts/deviceevent
%attr(0755,root,root) %config(noreplace) %{_datadir}/telldus/scripts/devicechangeevent
%attr(0755,root,root) %config(noreplace) %{_datadir}/telldus/scripts/rawdeviceevent
%attr(0755,root,root) %config(noreplace) %{_datadir}/telldus/scripts/sensorevent
%attr(0755,root,root) %config(noreplace) %{_datadir}/telldus/scripts/controllerevent
%attr(0755,telldusd,telldusd) %dir %{_localstatedir}/lib/telldusd
%attr(0644,telldusd,telldusd) %config(noreplace) %{_localstatedir}/lib/telldusd/telldus-core.conf
%{_mandir}/man1/*

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/%{name}.h
%{_libdir}/*.so


%changelog
* Fri Feb 14 2020 daviddavid <daviddavid> 2.1.2-7.mga8
+ Revision: 1517760
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 2.1.2-6.mga7
+ Revision: 1301381
- Mageia 7 Mass Rebuild

* Thu Dec 28 2017 wally <wally> 2.1.2-5.mga7
+ Revision: 1186598
- rebuild for new libconfuse

* Fri Oct 13 2017 cjw <cjw> 2.1.2-4.mga7
+ Revision: 1171582
- add upstream commit that fixes build with gcc 7

* Mon Feb 08 2016 umeabot <umeabot> 2.1.2-3.mga6
+ Revision: 950223
- Mageia 6 Mass Rebuild

* Sat Oct 25 2014 oden <oden> 2.1.2-2.mga5
+ Revision: 793163
- really fix build
- P4: fix build (libftdi1)
- fix deps
- also add the patch
- P3:  Only create the socket once. If we fail to connect is we should try to reuse it later.
- various fixes
- fix group
- various fixes
- imported package telldus-core

